package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiRiskThreshold;

/**
 * 风险阈值 数据层
 */
@Mapper
public interface TBusiRiskThresholdMapper {

    TBusiRiskThreshold selectTBusiRiskThresholdByGuid(String guid);

    List<TBusiRiskThreshold> selectTBusiRiskThresholdList(TBusiRiskThreshold tBusiRiskThreshold);

    int insertTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold);

    int updateTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold);

    int deleteTBusiRiskThresholdByGuid(String guid);

    int deleteTBusiRiskThresholdByGuids(String[] guids);
}
